#### D.14.1.13 arrCentralize

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCenteralize(A); arr A

Return:
  [arr] A after centralization via coordinate change

Note:
  The coordinate change only does translation, vector of translation is the second output of arrCenter

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A = ideal(x-1,y,x-z-1,x-z-1);
    arrCentralize(A);
    ==> _[1]=x-2
    ==> _[2]=y
    ==> _[3]=x-z-2
    ==>

See also: arrCenter; arrCentered; arrCentral; arrCentralize.

User manual for Singular version 4.4.1, 2025, generated by texi2html.